<div class="fixed-height">
<div class="msg-pop">
  <div>
    <h3>Update Coordinates</h3>
  </div>
</div>
<div class="pop--inner">
<div class="ibox-content ibox-content2" >
		
		<div  class="row btm-margin">
			<div class="col-sm-6">
				<div class="form-group">
					<input type="text" placeholder = "Name" maxlength="20"  [(ngModel)]="name" name="name" class="form-control">
				</div>
			</div>
		</div>
		<div class="row btm-margin" *ngFor="let codes of coordinatesdata;let i=index">
			<div class="col-sm-6">
				<div class="form-group">
					<input type="text" placeholder="Latitude{{i+1}}" maxlength="20"  [(ngModel)]="coordinatesdata[i][0]" name="lat-{{i}}" class="form-control "><br>
					<input type="text" placeholder="Longitude{{i+1}}" maxlength="20"  [(ngModel)]="coordinatesdata[i][1]" name="long-{{i}}" class="form-control"><br>
					<button class="round-sm-circle ng-star-inserted " type="button" (click) = "removecoordinates(i);" ><i aria-hidden="true" aria-hidden="true" class="fa fa-minus" ></i></button>
					<button *ngIf="cordinateslength==i+1" class="round-sm-circle ng-star-inserted " type="button" (click) = "addnewcoordinates(i);" ><i aria-hidden="true" aria-hidden="true" class="fa fa-plus" ></i></button>
				</div>
			</div>
		</div>
		<div *ngIf="errormessage==1">
		<span class="errormessage">All fields are required</span>
		</div>
		<div class="row">
			<div class="col-sm-12 text-right">
				<button class="btn btn-primary" type="submit" (click) = "updateTariffCordinates()" >Save Changes</button>
				<button class="btn btn-white" type="submit" (click)="closePop()">Cancel</button>
			</div>
		</div>

</div>
</div>
</div>